UPSCALE_RELPERMVISC(1)

NAME
upscale_relpermvisc - Upscale two-phase relative permeability

SYNOPSIS
upscale_relpermvisc [option=value] [grid file] [rock file 1] [rock file 2] [rock file 3] ...

DESCRIPTION
Upscale two-phase relative permeability in the capillary limit for lithofacies models described by Eclipse corner point grids. Example usage: upscale_relpermvisc -bc p grid.grdecl swof1.inc swof2.inc For isotropic input, the rock file has four columns, and looks like this: -- Stone 1 -- Sw Krw Kro J-func
  1.42000E-01 0.00000E+00 1.00000E+00 2.25999E+00
  2.79250E-01 1.93652E-03 5.03619E-01 5.76122E-02
  4.14850E-01 1.09648E-02 2.36036E-01 -1.23421E-02
  6.14150E-01 4.10007E-02 3.95006E-02 -8.96693E-02
  7.26100E-01 1.41398E-01 9.30808E-03 -1.19849E-01
  9.48000E-01 8.40000E-01 0.00000E+00 -1.42553E+00

OPTIONS
-bc Which boundary conditions to use. Possible values are p (periodic), f (fixed) or l (linear). Defaults to f.
-points Number of saturation points to upscale for, uniformly distributed. Defaults to 30.
-waterViscosity Viscosity of water given in Pascal seconds (1000 cP = 1 Pa s).
-oilViscosity Viscosity of oil given in Pascal seconds (1000 cP = 1 Pa s).
-waterCurve The column number in the rock files that represent relative permeability for water. Defaults to 2.
-oilCurve The column number in the rock files that represent relative permeability for oil. Defaults to 3.
-outputWater Filename for where to write upscaled values for water relperm. If not supplied, output will only go to the terminal (standard out).
-outputOil Filename for where to write upscaled values for oil relperm. If not supplied, output will only go to the terminal (standard out).
-interpolate If this option is used, the outputted values will be interpolated values using the supplied number of points (integer larger than 0). Monotone cubic interpolation is used, and will thus produce a smooth curve for a few number of saturation points.
-minPerm Minimum floating point value allowed for phase permeability in computations. If set to zero, some models can end up singular. Defaults to 1e-12.

REPORTING BUGS
Report on github repository <https://github.com/OPM/opm-upscaling/issues>

SEE ALSO
upscale_relperm